<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>TargetBlock (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TargetBlock (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/util/PropertiesConfiguration.html" title="class in com.sk89q.worldedit.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.html" title="class in com.sk89q.worldedit.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/util/TargetBlock.html" target="_top">Frames</a></li>
<li><a href="TargetBlock.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.util</div>
<h2 title="Class TargetBlock" class="title">Class TargetBlock</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.util.TargetBlock</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">TargetBlock</span>
extends java.lang.Object</pre>
<div class="block">This class uses an inefficient method to figure out what block a player
 is looking towards.
 
 <p>Originally written by toi. It was ported to WorldEdit and trimmed down by
 sk89q. Thanks to Raphfrk for optimization of toi's original class.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TargetBlock.html#TargetBlock-com.sk89q.worldedit.entity.Player-">TargetBlock</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player)</code>
<div class="block">Constructor requiring a player, uses default values</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TargetBlock.html#TargetBlock-com.sk89q.worldedit.entity.Player-int-double-">TargetBlock</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
           int&nbsp;maxDistance,
           double&nbsp;checkDistance)</code>
<div class="block">Constructor requiring a player, max distance and a checking distance</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TargetBlock.html#getAnyTargetBlock--">getAnyTargetBlock</a></span>()</code>
<div class="block">Returns any block at the sight.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TargetBlock.html#getAnyTargetBlockFace--">getAnyTargetBlockFace</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TargetBlock.html#getCurrentBlock--">getCurrentBlock</a></span>()</code>
<div class="block">Returns the current block along the line of vision</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TargetBlock.html#getNextBlock--">getNextBlock</a></span>()</code>
<div class="block">Get next block</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TargetBlock.html#getPreviousBlock--">getPreviousBlock</a></span>()</code>
<div class="block">Returns the previous block in the aimed path</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TargetBlock.html#getSolidTargetBlock--">getSolidTargetBlock</a></span>()</code>
<div class="block">Returns the block at the sight.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TargetBlock.html#getTargetBlock--">getTargetBlock</a></span>()</code>
<div class="block">Returns the block at the sight.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TargetBlock.html#getTargetBlockFace--">getTargetBlockFace</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TargetBlock.html#setSolidMask-com.sk89q.worldedit.function.mask.Mask-">setSolidMask</a></span>(<a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;solidMask)</code>
<div class="block">Set the mask used for determine where to stop solid block traces.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TargetBlock.html#setStopMask-com.sk89q.worldedit.function.mask.Mask-">setStopMask</a></span>(<a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;stopMask)</code>
<div class="block">Set the mask used for determine where to stop traces.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TargetBlock-com.sk89q.worldedit.entity.Player-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TargetBlock</h4>
<pre>public&nbsp;TargetBlock(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player)</pre>
<div class="block">Constructor requiring a player, uses default values</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>player</code> - player to work with</dd>
</dl>
</li>
</ul>
<a name="TargetBlock-com.sk89q.worldedit.entity.Player-int-double-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TargetBlock</h4>
<pre>public&nbsp;TargetBlock(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                   int&nbsp;maxDistance,
                   double&nbsp;checkDistance)</pre>
<div class="block">Constructor requiring a player, max distance and a checking distance</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>player</code> - Player to work with</dd>
<dd><code>maxDistance</code> - how far it checks for blocks</dd>
<dd><code>checkDistance</code> - how often to check for blocks, the smaller the more precise</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setStopMask-com.sk89q.worldedit.function.mask.Mask-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStopMask</h4>
<pre>public&nbsp;void&nbsp;setStopMask(@Nullable
                        <a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;stopMask)</pre>
<div class="block">Set the mask used for determine where to stop traces.
 Setting to null will restore the default.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>stopMask</code> - the mask used to stop traces</dd>
</dl>
</li>
</ul>
<a name="setSolidMask-com.sk89q.worldedit.function.mask.Mask-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSolidMask</h4>
<pre>public&nbsp;void&nbsp;setSolidMask(@Nullable
                         <a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;solidMask)</pre>
<div class="block">Set the mask used for determine where to stop solid block traces.
 Setting to null will restore the default.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>solidMask</code> - the mask used to stop solid block traces</dd>
</dl>
</li>
</ul>
<a name="getAnyTargetBlock--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAnyTargetBlock</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;getAnyTargetBlock()</pre>
<div class="block">Returns any block at the sight. Returns null if out of range or if no
 viable target was found. Will try to return the last valid air block it finds.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Block</dd>
</dl>
</li>
</ul>
<a name="getTargetBlock--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTargetBlock</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;getTargetBlock()</pre>
<div class="block">Returns the block at the sight. Returns null if out of range or if no
 viable target was found</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Block</dd>
</dl>
</li>
</ul>
<a name="getSolidTargetBlock--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSolidTargetBlock</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;getSolidTargetBlock()</pre>
<div class="block">Returns the block at the sight. Returns null if out of range or if no
 viable target was found</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Block</dd>
</dl>
</li>
</ul>
<a name="getNextBlock--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNextBlock</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;getNextBlock()</pre>
<div class="block">Get next block</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>next block position</dd>
</dl>
</li>
</ul>
<a name="getCurrentBlock--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentBlock</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;getCurrentBlock()</pre>
<div class="block">Returns the current block along the line of vision</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>block position</dd>
</dl>
</li>
</ul>
<a name="getPreviousBlock--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPreviousBlock</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;getPreviousBlock()</pre>
<div class="block">Returns the previous block in the aimed path</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>block position</dd>
</dl>
</li>
</ul>
<a name="getAnyTargetBlockFace--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAnyTargetBlockFace</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;getAnyTargetBlockFace()</pre>
</li>
</ul>
<a name="getTargetBlockFace--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getTargetBlockFace</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;getTargetBlockFace()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/util/PropertiesConfiguration.html" title="class in com.sk89q.worldedit.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.html" title="class in com.sk89q.worldedit.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/util/TargetBlock.html" target="_top">Frames</a></li>
<li><a href="TargetBlock.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
